Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.xmlet.jaxb.impl
Class AttrTypeImpl

    org.huihoo.jfox.xmlet.jaxb.impl.AttrTypeImpl

All Implemented Interfaces:
  AttrType

public class AttrTypeImpl
implements AttrType

Inner Class Summary
`class` | `AttrTypeImpl.Unmarshaller`

Field Summary
`protected java.lang.String` | `_NAME`
`protected java.lang.String` | `_TYPE`
`protected java.lang.String` | `_VALUE`

Constructor Summary
`AttrTypeImpl()`

Method Summary
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`java.lang.String` | `getNAME()`
`java.lang.Class` | `getPrimaryInterface()`
`java.lang.Class` | `getPrimaryInterfaceClass()`
`java.lang.String` | `getTYPE()`
`com.sun.xml.bind.unmarshaller.ContentHandlerEx` | `getUnmarshaller(com.sun.xml.bind.unmarshaller.UnmarshallingContext context)`
`java.lang.String` | `getVALUE()`
`void` | `serializeAttributeBodies(com.sun.xml.bind.serializer.XMLSerializer context)`
`void` | `serializeAttributes(com.sun.xml.bind.serializer.XMLSerializer context)`
`void` | `serializeElements(com.sun.xml.bind.serializer.XMLSerializer context)`
`void` | `setNAME(java.lang.String value)`
`void` | `setTYPE(java.lang.String value)`
`void` | `setVALUE(java.lang.String value)`

Field Detail

### _VALUE

    protected java.lang.String _VALUE

### _NAME

    protected java.lang.String _NAME

### _TYPE

    protected java.lang.String _TYPE

Constructor Detail

### AttrTypeImpl

    public AttrTypeImpl()

Method Detail

### getVALUE

    public java.lang.String getVALUE()

  Specified by:
    `getVALUE` in interface `AttrType`

### setVALUE

    public void setVALUE(java.lang.String value)

  Specified by:
    `setVALUE` in interface `AttrType`

### getNAME

    public java.lang.String getNAME()

  Specified by:
    `getNAME` in interface `AttrType`

### setNAME

    public void setNAME(java.lang.String value)

  Specified by:
    `setNAME` in interface `AttrType`

### getTYPE

    public java.lang.String getTYPE()

  Specified by:
    `getTYPE` in interface `AttrType`

### setTYPE

    public void setTYPE(java.lang.String value)

  Specified by:
    `setTYPE` in interface `AttrType`

### getUnmarshaller

    public com.sun.xml.bind.unmarshaller.ContentHandlerEx getUnmarshaller(com.sun.xml.bind.unmarshaller.UnmarshallingContext context)

### getPrimaryInterfaceClass

    public java.lang.Class getPrimaryInterfaceClass()

### serializeElements

    public void serializeElements(com.sun.xml.bind.serializer.XMLSerializer context)
                           throws org.xml.sax.SAXException

### serializeAttributes

    public void serializeAttributes(com.sun.xml.bind.serializer.XMLSerializer context)
                             throws org.xml.sax.SAXException

### serializeAttributeBodies

    public void serializeAttributeBodies(com.sun.xml.bind.serializer.XMLSerializer context)
                                  throws org.xml.sax.SAXException

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD